<template>
    <CheckboxGroup v-model="sels" style="height:30px;padding:5px">
        <Checkbox v-for="op in chks" :label="op.value" :key="op.value">
           {{op.label}}
        </Checkbox>
    </CheckboxGroup>
</template>
<script>
import { refQuery } from '@/api/meta'
export default {
  name: "CheckGroup",
  props: ['value','chks'],
  model:{
    prop: 'value',
    event: 'change'
 },
  data() {
    return {
       sels:[]
    };
  },
  created() {
  
  },
  mounted(){
        console.log("cccccccccccccccccc")
  },
  watch: {
    value(nv,ov){
      if(nv && nv!=""){
         this.sels=nv;
      }
    },
    sels(nv,ov){
      this.$emit("change",this.sels);
    }
  },
  computed: {},
  methods: {}
};
</script>
